package com.ijchart.xychart.label ;

import com.ijchart.xychart.dataset.IMatrixDataset ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>ɱǩ.</zh>
 * <en>An abstract adapter class for generator label.
 * The methods in this class are empty. This class exists as
 * convenience for creating label generator objects. </en>
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public abstract class LabelGeneratorAdaptor implements ILabelGenerator {
  /**
   * <zh>Ƿʽɱǩ.</zh>
   * <en>The flag controls whether or not the data type is group.</en>
   *
   * @return boolean <zh>ֵ.</zh>
   * <en>A boolean.</en>
   */
  public boolean isGroup() {
    return false ;
  }

  /**
   * <zh>ĳͼεıǩ,ͨ±ǩ֪ͨʽrowKeycolKeyֵɵ.
   * ҲԸʽΪַ.</zh>
   * <en>Generates a label for the specified item. The label is typically a
   * formatted version of the data value, but any text can be used.</en>
   *
   * @param dataset IMatrixDataset <zh>ݼ (Ϊnull).</zh>
   * <en>The dataset (null not permitted).</en>
   * @param row int <zh>ݼ,ڵ0.</zh>
   * <en>The dataset row number,must be greater than or equal to 0.</en>
   * @param column int <zh>ݼ,ڵ0.</zh>
   * <en>The dataset column number,must be greater than or equal to 0.</en>
   *
   * @return String <zh>ǩַ.</zh>
   * <en>The label (possibly null).</en>
   */
  public String generateLabel(IMatrixDataset dataset, int row, int column) {
    return null ;
  }

  /**
   * <zh>ĳͼεıǩ,ͨ±ǩ֪ͨʽrowKeycolKeyֵɵ.
   * ҲԸʽΪַ.</zh>
   * <en>Generates a label for the specified item. The label is typically a
   * formatted version of the data value, but any text can be used.</en>
   *
   * @param dataset IMatrixDataset <zh>ݼ (Ϊnull).</zh>
   * <en>The dataset (null not permitted).</en>
   * @param row int <zh>ݼ,ڵ0.</zh>
   * <en>The dataset row number,must be greater than or equal to 0.</en>
   * @param column int <zh>ݼ,ڵ0.</zh>
   * <en>The dataset column number,must be greater than or equal to 0.</en>
   * @param index int <zh>еһݵɶ,ֵʾ.</zh>
   * <en>The index of a dataset data.</en>
   *
   * @return String <zh>ǩַ.</zh>
   * <en>The label (possibly null).</en>
   */
  public String generateGroupLabel(IMatrixDataset dataset, int row, int column, int index) {
    return null ;
  }

}
