package com.ijchart.xychart.ui ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>ʵִ˽ӿڵĶʱҪ3DЧ.</zh>
 * <en>An interface that should be implemented by renders that use a 3D effect.</en>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface IEffect3D {

  /**
   * <zh>ػ3DЧʱX᷽ƫֵ.</zh>
   * <en>Returns the x-offset (in Java2D units) for the 3D effect.</en>
   *
   * @return double <zh>X᷽ƫֵ.</zh>
   * <en>The offset.</en>
   */
  double getXOffset() ;

  /**
   * <zh>ػ3DЧʱY᷽ƫֵ.</zh>
   * <en>Returns the y-offset (in Java2D units) for the 3D effect.</en>
   *
   * @return double <zh>Y᷽ƫֵ.</zh>
   * <en>The offset.</en>
   */
  double getYOffset() ;

}
